#!/bin/bash

mkdir -p /etc/prosody/conf.{d,avail}/
cat > /etc/prosody/conf.avail/jitsi.deuxfleurs.fr.cfg.lua <<EOF
VirtualHost "jitsi.deuxfleurs.fr"
    authentication = "anonymous"
    ssl = {
        key = "/var/lib/prosody/jitsi.deuxfleurs.fr.key";
        certificate = "/var/lib/prosody/jitsi.deuxfleurs.fr.crt";
    }
    modules_enabled = {
        "bosh";
        "pubsub";
    }
    c2s_require_encryption = false

VirtualHost "auth.jitsi.deuxfleurs.fr"
    ssl = {
        key = "/var/lib/prosody/auth.jitsi.deuxfleurs.fr.key";
        certificate = "/var/lib/prosody/auth.jitsi.deuxfleurs.fr.crt";
    }
    authentication = "internal_plain"

admins = { "focus@auth.jitsi.deuxfleurs.fr" }

Component "conference.jitsi.deuxfleurs.fr" "muc"
Component "jitsi-videobridge.jitsi.deuxfleurs.fr"
    component_secret = "${JITSI_SECRET_VIDEOBRIDGE}"
Component "focus.jitsi.deuxfleurs.fr"
    component_secret = "${JITSI_SECRET_JICOFO_COMPONENT}"
EOF

ln -sf \
  /etc/prosody/conf.avail/jitsi.deuxfleurs.fr.cfg.lua \
  /etc/prosody/conf.d/jitsi.deuxfleurs.fr.cfg.lua

prosodyctl cert generate jitsi.deuxfleurs.fr
prosodyctl cert generate auth.jitsi.deuxfleurs.fr

mkdir -p /usr/local/share/ca-certificates/
ln -sf \
  /var/lib/prosody/auth.jitsi.deuxfleurs.fr.crt \
  /usr/local/share/ca-certificates/auth.jitsi.deuxfleurs.fr.crt

prosodyctl register focus auth.jitsi.deuxfleurs.fr ${JITSI_SECRET_JICOFO_USER}

mkdir /run/prosody
touch /run/prosody/prosody.pid
chown -R prosody:prosody /run/prosody

cd /var/lib/prosody
su - prosody -s /bin/bash -c "$@"
